2017-12-18 23:16 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001259Orfeo Toolbox (OTB)Generalpublic2017-04-27 15:33
Reportersebastic 
Assigned Togpasero 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0001259: Patch for various spelling errors in 5.6.0
DescriptionThe lintian QA tool reported a couple of spelling errors for the OTB 5.6.0 Debian package build:

 * allows to <verb> -> allows <verb>ing
 * formated -> formatted
 * Unkown -> Unknown
TagsNo tags attached.
Attached Files
  • patch file icon spelling-errors.patch (5,939 bytes) 2016-07-29 00:22 -
    Description: Fix spelling errors.
     allows to <verb> -> allows <verb>ing
     formated         -> formatted
     Unkown           -> Unknown
    Author: Bas Couwenberg <sebastic@debian.org>
    
    --- a/Modules/Applications/AppClassification/app/otbSampleExtraction.cxx
    +++ b/Modules/Applications/AppClassification/app/otbSampleExtraction.cxx
    @@ -146,7 +146,7 @@ private:
           }
         else
           {
    -      otbAppLogFATAL("Unkown output field option : " << this->GetParameterString("outfield"));
    +      otbAppLogFATAL("Unknown output field option : " << this->GetParameterString("outfield"));
           }
         
     
    --- a/Modules/Filtering/Wavelet/src/otbWaveletGenerator.cxx
    +++ b/Modules/Filtering/Wavelet/src/otbWaveletGenerator.cxx
    @@ -36,7 +36,7 @@ WaveletGenerator<TMotherWaveletOperator>
     {
       std::ostringstream msg;
       msg << "The mother wavelet ID " << TMotherWaveletOperator;
    -  msg << " is unkown or has to be implemented...\n";
    +  msg << " is unknown or has to be implemented...\n";
       throw itk::ExceptionObject(__FILE__, __LINE__, msg.str().c_str(), ITK_LOCATION);
     
       return "Unknown";
    @@ -49,7 +49,7 @@ WaveletGenerator<TMotherWaveletOperator>
     {
       std::ostringstream msg;
       msg << "The mother wavelet ID " << TMotherWaveletOperator;
    -  msg << " is unkown or has to be implemented...\n";
    +  msg << " is unknown or has to be implemented...\n";
       throw itk::ExceptionObject(__FILE__, __LINE__, msg.str().c_str(), ITK_LOCATION);
     }
     
    @@ -60,7 +60,7 @@ WaveletGenerator<TMotherWaveletOperator>
     {
       std::ostringstream msg;
       msg << "The mother wavelet ID " << TMotherWaveletOperator;
    -  msg << " is unkown or has to be implemented (check the txx file)...\n";
    +  msg << " is unknown or has to be implemented (check the txx file)...\n";
       throw itk::ExceptionObject(__FILE__, __LINE__, msg.str().c_str(), ITK_LOCATION);
     }
     
    --- a/Modules/Applications/AppClassification/app/otbSampleSelection.cxx
    +++ b/Modules/Applications/AppClassification/app/otbSampleSelection.cxx
    @@ -104,7 +104,7 @@ private:
           "  - layer : index specifying from which layer to pick geometries.\n"
           "  - field : set the field name containing the class.\n"
           "  - mask : an optional raster mask can be used to discard samples.\n"
    -      "  - outrates : allows to output a CSV file that summarizes the sampling rates for each class.\n"
    +      "  - outrates : allows outputting a CSV file that summarizes the sampling rates for each class.\n"
           
           "\nAs with the PolygonClassStatistics application, different types  of geometry are supported : "
           "polygons, lines, points. \nThe behavior of this application is different for each type of geometry :\n"
    @@ -134,7 +134,7 @@ private:
         SetParameterDescription("instats","Input file storing statistics (XML format)");
     
         AddParameter(ParameterType_OutputFilename, "outrates", "Output rates");
    -    SetParameterDescription("outrates","Output rates (CSV formated)");
    +    SetParameterDescription("outrates","Output rates (CSV formatted)");
         MandatoryOff("outrates");
     
         AddParameter(ParameterType_Choice, "sampler", "Sampler type");
    --- a/Modules/Filtering/Statistics/include/otbPatternSampler.h
    +++ b/Modules/Filtering/Statistics/include/otbPatternSampler.h
    @@ -28,7 +28,7 @@ namespace otb
      *
      * \brief Periodic sampler for iteration loops
      * 
    - * This class allows to do periodic sampling during an iteration loop.
    + * This class allows doing periodic sampling during an iteration loop.
      *
      * \ingroup OTBStatistics
      */
    --- a/Modules/Filtering/Statistics/include/otbPeriodicSampler.h
    +++ b/Modules/Filtering/Statistics/include/otbPeriodicSampler.h
    @@ -28,7 +28,7 @@ namespace otb
      *
      * \brief Periodic sampler for iteration loops
      * 
    - * This class allows to do periodic sampling during an iteration loop.
    + * This class allows doing periodic sampling during an iteration loop.
      *
      * \ingroup OTBStatistics
      */
    --- a/Modules/Filtering/Statistics/include/otbRandomSampler.h
    +++ b/Modules/Filtering/Statistics/include/otbRandomSampler.h
    @@ -28,7 +28,7 @@ namespace otb
      *
      * \brief Random sampler for iteration loops
      * 
    - * This class allows to do random sampling during an iteration loop.
    + * This class allows doing random sampling during an iteration loop.
      * It uses the MersenneTwisterRandomGenerator.
      *
      * \ingroup OTBStatistics
    --- a/Modules/MPI/MPITiffWriter/include/otbSimpleParallelTiffWriter.txx
    +++ b/Modules/MPI/MPITiffWriter/include/otbSimpleParallelTiffWriter.txx
    @@ -770,7 +770,7 @@ SimpleParallelTiffWriter<TInputImage>
       this->ReleaseInputs();
     
       //Reset global shift on input region (box parameter)
    -  //It allows to call multiple update over the writer
    +  //It allows calling multiple updates over the writer
       m_ShiftOutputIndex.Fill(0);
     
       // Wait for other processes
    --- a/Modules/ThirdParty/OssimPlugins/src/ossim/ossimSentinel1Model.cpp
    +++ b/Modules/ThirdParty/OssimPlugins/src/ossim/ossimSentinel1Model.cpp
    @@ -951,7 +951,7 @@ namespace ossimplugins
              addMandatory(theProductKwl, prefix, keyImPtX,          **itNode, attPixel);
     
              // In TOPSAR products, GCPs are weird (they fall in black lines
    -         // between burst. This code allows to move them to a valid area of
    +         // between burst. This code allows moving them to a valid area of
              // the image.
              if(theBurstRecords.size()>2)
              {
    --- a/Modules/ThirdParty/OssimPlugins/src/ossim/ossimSentinel1SarSensorModel.cpp
    +++ b/Modules/ThirdParty/OssimPlugins/src/ossim/ossimSentinel1SarSensorModel.cpp
    @@ -249,7 +249,7 @@ void ossimSentinel1SarSensorModel::readA
             gcpRecord.imPt.x = getDoubleFromFirstNode(**itNode, attPixel);
     
             // In TOPSAR products, GCPs are weird (they fall in black lines
    -        // between burst. This code allows to move them to a valid area of
    +        // between burst. This code allows moving them to a valid area of
             // the image.
             if(theBurstRecords.size()>2)
             {
    
    patch file icon spelling-errors.patch (5,939 bytes) 2016-07-29 00:22 +

-Relationships
+Relationships

-Notes

~0003613

grizonnetm (administrator)

We should automate the use of lintial during the release process to handle these spelling errors before the release

~0003614

sebastic (reporter)

lintian is not easy to use outside of the Debian package workflow.

For upstream projects I suggest to use codespell [0]. GDAL uses a modified codespell with the dictionary from lintian and QGIS [1], which is probably a good option for OTB too.

[0] https://github.com/lucasdemarchi/codespell/
[1] https://trac.osgeo.org/gdal/browser/trunk/gdal/scripts/fix_typos.sh

~0003619

gpasero (administrator)

Thanks again! Patch pushed in branch release-5.6
https://git.orfeo-toolbox.org/otb.git/commit/30b55712719bbee182a0ff4f473f2941d1c98b98

~0003730

grizonnetm (administrator)

Sebastic,

following your suggestion I've added a script to check spelling errors in OTB:

https://git.orfeo-toolbox.org/otb.git/blob/refs/heads/develop:/Utilities/Maintenance/fix_typos.sh

It will be applied before releasing the sources.

Thanks again.
+Notes

-Issue History
Date Modified Username Field Change
2016-07-29 00:22 sebastic New Issue
2016-07-29 00:22 sebastic File Added: spelling-errors.patch
2016-07-29 09:47 grizonnetm Note Added: 0003613
2016-07-29 09:54 sebastic Note Added: 0003614
2016-07-29 15:45 gpasero Note Added: 0003619
2016-07-29 15:45 gpasero Status new => resolved
2016-07-29 15:45 gpasero Resolution open => fixed
2016-07-29 15:45 gpasero Assigned To => gpasero
2016-09-29 09:42 grizonnetm Note Added: 0003730
2017-04-27 15:33 julien Status resolved => closed
+Issue History